Package org.apache.commons.math3.util

# Class IntegerSequence

java.lang.Object
org.apache.commons.math3.util.IntegerSequence

public class IntegerSequence extends Object
Provides a sequence of integers.

Since:
  3.6

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`IntegerSequence.Incrementor`
Utility that increments a counter until a maximum is reached, at which point, the instance will by default throw a `MaxCountExceededException`.
`static class`
`IntegerSequence.Range`
Generates a sequence of integers.

## Method Summary

Modifier and Type
Method
Description
`static IntegerSequence.Range`
`range(int start, int end)`
Creates a sequence `[start .. end]`.
`static IntegerSequence.Range`
`range(int start, int max, int step)`
Creates a sequence \( a_i, i invalid input: '<' 0 invalid input: '<'= n \) where \( a_i = start + i * step \) and \( n \) is such that \( a_n invalid input: '<'= max \) and \( a_{n+1} > max \).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### range

public static IntegerSequence.Range range(int start, int end)
Creates a sequence `[start .. end]`. It calls `range(start, end, 1)`.

Parameters:
  `start` - First value of the range.
  `end` - Last value of the range.
Returns:
  a range.

### range

public static IntegerSequence.Range range(int start, int max, int step)
Creates a sequence \( a_i, i invalid input: '<' 0 invalid input: '<'= n \) where \( a_i = start + i * step \) and \( n \) is such that \( a_n invalid input: '<'= max \) and \( a_{n+1} > max \).

Parameters:
  `start` - First value of the range.
  `max` - Last value of the range that satisfies the above construction rule.
  `step` - Increment.
Returns:
  a range.